Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1057571 - Remove @Consumes annotation, the deploy project REST operation does not require any content
Summary: Remove @Consumes annotation, the deploy project REST operation does not requi...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss BRMS Platform 6
Classification: Retired
Component: Business Central
Version: 6.0.0
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ER1
: 6.0.1
Assignee: Marco Rietveld
QA Contact: jvahala
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-24 11:45 UTC by Ivo Bek
Modified: 2016-09-20 05:05 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-06 19:57:48 UTC
Type: Bug


Attachments (Terms of Use)

Description Ivo Bek 2014-01-24 11:45:26 UTC
Description of problem:

I noticed in source code specification of @Consumes annotation though it is not required and it is redundant.
https://github.com/droolsjbpm/drools-wb/blob/6.0.0.GA.x/drools-wb-rest/src/main/java/org/drools/workbench/common/services/rest/ProjectResource.java#L422

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 manstis 2014-01-24 14:01:20 UTC
Marco, would you mind taking a look please. I think it's sufficient to simply remove the annotations. Cheers, Mike

Comment 3 Lukáš Petrovický 2014-02-07 16:19:11 UTC
This no longer has a target release of 6.0.0.

Comment 4 jvahala 2014-02-21 13:54:21 UTC
Redundancy removed in bpms-6.0.1-ER1


Note You need to log in before you can comment on or make changes to this bug.